### Method

# Gimp Image get_selection

#### Declaration [src]

    GimpSelection*
    gimp_image_get_selection (
      GimpImage* image
    )

#### Description [src]

Returns the specified image’s selection.

This will always return a valid ID for a selection — which is represented as a channel internally.

#### Return value

Type: `GimpSelection`

The selection channel.

The returned data is owned by the instance.